Board index » cppbuilder » Upgrading 3.0 to 4.0: Trouble compiling components

Upgrading 3.0 to 4.0: Trouble compiling components

I just upgraded from BCB 3 to 4 and do like a lot of its features, but I am
having trouble with a couple of the projects I have going that use
components developed under version 3.  One is a simple version number
label - I have been trying to recompile it under version 4 (in its own test
unit) but I keep getting linker errors telling me it cannot find two files:
INETDB40.BPI and INET40.BPI.  If I just try to install the previously
comiled components I gat an error stating that "One of the files required
could not be found...".  I know I must be missing something easy, but could
somebody please help me out?

        Mitchell

 

Re:Upgrading 3.0 to 4.0: Trouble compiling components


After sifting through a number of other messages here I see that this might
be a problem with BCB4 Professional version only (which is the one I have).
It seems that the IDE wants to include INET40.BPI and INETDB.BPI by default,
but these libraries are not part of the "Professional" version of the
product.  OK.  I can edit these out of the packages lists, but do I have to
do this for every project?  Is there some setting I can make, or some file I
can edit that will keep the system from including these libraries in every
Project I open?

        Mitchell

Quote
Mitchell Baldwin wrote in message <7b3ff7$d...@forums.borland.com>...
>I just upgraded from BCB 3 to 4 and do like a lot of its features, but I

am...

Re:Upgrading 3.0 to 4.0: Trouble compiling components


Mitchell,

Quote
>  Is there some setting I can make, or some file I
> can edit that will keep the system from including these libraries in every
> Project I open?

Check for a DEFAULT.BPR in ..\BIN. There should not be one
there unless you have clicked OK in the Project Options dialog
with the "Default" checkbox ON. You can edit the runtime packages
list and create a DEFAULT.BPR (saving settings that will be used
by all subsequent new projects).

--Craig

Re:Upgrading 3.0 to 4.0: Trouble compiling components


Quote
Mitchell Baldwin wrote:

have to

Quote
> do this for every project?  Is there some setting I can make, or some file I
> can edit that will keep the system from including these libraries in every
> Project I open?

On the project options page, there is a chack box for using these
options as the default.

Other Threads